package com.chinaitop.depot.intelligent.factoryObject.factoryInterface;

/**
 * @author qingsong.han
 * @description: 简单工厂-字符串接口
 * @create 2021-09-15 15:51
 */
public interface StringFactory {

    /**
     * 字符串拼接接口
     * @param type 1(ConstantClass.TYPE_ONE): StringBuilder
     *             2(ConstantClass.TYPE_TWO): StringBuffer
     * @param value 传入参数需按拼接先后顺序传入 (例: a b c => abc)
     * @return string
     */
    String joinString(int type, String... value);

    StringBuilder builderFactory();
    StringBuffer bufferFactory();

}
